org.richfaces.fragment.contextMenu

## Class AbstractPopupMenu

- java.lang.Object
- - org.richfaces.fragment.contextMenu.AbstractPopupMenu

- All Implemented Interfaces:
    AdvancedInteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>, AdvancedVisibleComponentIteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>, PopupMenu, PopupMenuGroup
  Direct Known Subclasses:
    RichFacesContextMenu, RichFacesDropDownMenu

      public abstract class AbstractPopupMenu
      extends Object
      implements PopupMenu, AdvancedVisibleComponentIteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractPopupMenu.AdvancedPopupMenuInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPopupMenu()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractPopupMenu.AdvancedPopupMenuInteractions` | `advanced()`
    `protected AbstractPopupMenu` | `createSubMenuFragment(org.openqa.selenium.WebElement itemElement)` Creates a page fragment for menu group.
    `PopupMenuGroup` | `expandGroup(ChoicePicker picker)` Expands group or sub group from this menu, which satisfies the rules given in `picker` param.
    `PopupMenuGroup` | `expandGroup(ChoicePicker picker, org.openqa.selenium.WebElement target)` Expands group from this menu, which satisfies the rules given in `picker` param.
    `PopupMenuGroup` | `expandGroup(int index)` Expands group or sub group from this menu, which index equals the given `index` param.
    `PopupMenuGroup` | `expandGroup(int index, org.openqa.selenium.WebElement target)` Expands group from this menu, which index equals the given `index` param.
    `PopupMenuGroup` | `expandGroup(String header)` Expands group or sub group from this menu, which text representation matches the given `header` param.
    `PopupMenuGroup` | `expandGroup(String header, org.openqa.selenium.WebElement target)` Expands group from this menu, which text representation matches the given `header` param.
    `protected String` | `getNameOfFragment()` Returns the name of the actual page fragment.
    `protected org.openqa.selenium.WebElement` | `getRootElement()`
    `void` | `selectItem(ChoicePicker picker)` Selects the menu item from this menu or menu group according to the rules defined in the `picker` param.
    `void` | `selectItem(ChoicePicker picker, org.openqa.selenium.WebElement target)` Selects the menu item from this menu or sub menu according to the rules defined in the `picker` param.
    `void` | `selectItem(int index)` Selects the menu item from this menu or menu group according to its index in the list of all menu items.
    `void` | `selectItem(int index, org.openqa.selenium.WebElement target)` Selects the menu item from this menu according to its index in the list of all menu items.
    `void` | `selectItem(String header)` Selects the menu item from this menu or menu group according to the exact match of its text representation with passed `header` param.
    `void` | `selectItem(String header, org.openqa.selenium.WebElement target)` Selects the menu item from this menu according to the exact match of its text representation with passed `header` param.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPopupMenu

          public AbstractPopupMenu()

  - ### Method Detail

    - #### createSubMenuFragment

          protected AbstractPopupMenu createSubMenuFragment(org.openqa.selenium.WebElement itemElement)

      Creates a page fragment for menu group.

    - #### getNameOfFragment

          protected String getNameOfFragment()

      Returns the name of the actual page fragment.
      Returns:

    - #### getRootElement

          protected org.openqa.selenium.WebElement getRootElement()

    - #### advanced

          public abstract AbstractPopupMenu.AdvancedPopupMenuInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>`

    - #### expandGroup

          public PopupMenuGroup expandGroup(ChoicePicker picker,
                                            org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Expands group from this menu, which satisfies the rules given in `picker` param. Opens menu, if it is not visible.
      Specified by:
        `expandGroup` in interface `PopupMenu`
      Parameters:
        `picker` - object to define which group should be expanded
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Returns:
        the group which was expanded

    - #### expandGroup

          public PopupMenuGroup expandGroup(String header,
                                            org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Expands group from this menu, which text representation matches the given `header` param. Opens menu, if it is not visible.
      Specified by:
        `expandGroup` in interface `PopupMenu`
      Parameters:
        `header` - the header of the group which should be expanded
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Returns:
        the group which was expanded

    - #### expandGroup

          public PopupMenuGroup expandGroup(int index,
                                            org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Expands group from this menu, which index equals the given `index` param. Opens menu, if it is not visible.
      Specified by:
        `expandGroup` in interface `PopupMenu`
      Parameters:
        `index` - zero based index of the group to expand
        `target` - for defining the popup menu which will be invoked and from which the item will be selected
      Returns:
        the group which was expanded

    - #### expandGroup

          public PopupMenuGroup expandGroup(ChoicePicker picker)

      Description copied from interface: `PopupMenuGroup`
      Expands group or sub group from this menu, which satisfies the rules given in `picker` param. Opens menu or sub menu from visible menu, if it is not visible.
      Specified by:
        `expandGroup` in interface `PopupMenuGroup`
      Parameters:
        `picker` - object to define which group should be expanded
      Returns:
        the group which was expanded

    - #### expandGroup

          public PopupMenuGroup expandGroup(String header)

      Description copied from interface: `PopupMenuGroup`
      Expands group or sub group from this menu, which text representation matches the given `header` param. Opens menu or sub menu from visible menu, if it is not visible.
      Specified by:
        `expandGroup` in interface `PopupMenuGroup`
      Parameters:
        `header` - the header of the group which should be expanded
      Returns:
        the group which was expanded

    - #### expandGroup

          public PopupMenuGroup expandGroup(int index)

      Description copied from interface: `PopupMenuGroup`
      Expands group or sub group from this menu, which index equals the given `index` param. Opens menu or sub menu from visible menu, if it is not visible.
      Specified by:
        `expandGroup` in interface `PopupMenuGroup`
      Parameters:
        `index` - zero based index of the group to expand
      Returns:
        the group which was expanded

    - #### selectItem

          public void selectItem(ChoicePicker picker)

      Description copied from interface: `PopupMenuGroup`
      Selects the menu item from this menu or menu group according to the rules defined in the `picker` param. Opens menu or sub menu from visible menu, if it is not visible.
      Specified by:
        `selectItem` in interface `PopupMenuGroup`
      Parameters:
        `picker` - for defining the rules by which the item will be selected

    - #### selectItem

          public void selectItem(String header)

      Description copied from interface: `PopupMenuGroup`
      Selects the menu item from this menu or menu group according to the exact match of its text representation with passed `header` param. Opens menu or sub menu from visible menu, if it is not visible.
      Specified by:
        `selectItem` in interface `PopupMenuGroup`
      Parameters:
        `header` - text representation of the menu item to be selected

    - #### selectItem

          public void selectItem(int index)

      Description copied from interface: `PopupMenuGroup`
      Selects the menu item from this menu or menu group according to its index in the list of all menu items. Opens menu or sub menu from visible menu, if it is not visible. Items are indexed from 0. A top menu item (the one which is the closest to the root of the popup menu component) has index 0.
      Specified by:
        `selectItem` in interface `PopupMenuGroup`
      Parameters:
        `index` - zero based index of the item to be selected

    - #### selectItem

          public void selectItem(ChoicePicker picker,
                                 org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Selects the menu item from this menu or sub menu according to the rules defined in the `picker` param. Opens menu, if it is not visible.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `picker` - for defining the rules by which the item will be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected

    - #### selectItem

          public void selectItem(String header,
                                 org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Selects the menu item from this menu according to the exact match of its text representation with passed `header` param. Opens menu, if it is not visible.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `header` - text representation of the menu item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected

    - #### selectItem

          public void selectItem(int index,
                                 org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Selects the menu item from this menu according to its index in the list of all menu items. Opens menu, if it is not visible. Items are indexed from 0. A top menu item (the one which is the closest to the root of the popup menu component) has index 0.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `index` - zero based index of the item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.